Loading...
Searching...
No Matches
spa_io_segment_bar Struct Reference
SPA » Node

bar and beat segment More...

`#include <spa/node/io.h>`

## Data Fields

uint32_t | flags
| extra flags
uint32_t | offset
| offset in segment of this beat
float | signature_num
| time signature numerator
float | signature_denom
| time signature denominator
double | bpm
| beats per minute
double | beat
| current beat in segment
uint32_t | padding [8]

## Detailed Description

bar and beat segment

## Field Documentation

## flags

uint32_t spa_io_segment_bar::flags

extra flags

## offset

uint32_t spa_io_segment_bar::offset

offset in segment of this beat

## signature_num

float spa_io_segment_bar::signature_num

time signature numerator

## signature_denom

float spa_io_segment_bar::signature_denom

time signature denominator

## bpm

double spa_io_segment_bar::bpm

beats per minute

## beat

double spa_io_segment_bar::beat

current beat in segment

## padding

uint32_t spa_io_segment_bar::padding[8]

The documentation for this struct was generated from the following file:

- spa/node/io.h